## bedtools 2.30.0+dfsg

=== Makefile ===

# ==========================
# BEDTools Makefile
# (c) 2009 Aaron Quinlan
# ==========================

SHELL := /bin/bash -e

VERSION_FILE=./src/utils/version/version_git.h
RELEASED_VERSION_FILE=./src/utils/version/version_release.txt


# define our object and binary directories
ifeq ($(VERBOSE),1)
CCPREFIX =
else
CCPREFIX = @
endif

OBJ_DIR	= obj
BIN_DIR	= bin
SRC_DIR	= src

CXX     = g++

ifeq ($(DEBUG),1)
BT_CPPFLAGS = -DDEBUG -D_DEBUG -D_FILE_OFFSET_BITS=64 -DWITH_HTS_CB_API $(INCLUDES)
BT_CXXFLAGS = -Wconversion -Wall -Wextra -g -O0
else
BT_CPPFLAGS = -D_FILE_OFFSET_BITS=64 -DWITH_HTS_CB_API $(INCLUDES)
BT_CXXFLAGS = -g -Wall -O2
endif

# If the user has specified to do so, tell the compile to use rand() (instead of mt19937).
ifeq ($(USE_RAND),1)
BT_CXXFLAGS += -DUSE_RAND
else
BT_CXXFLAGS += -std=c++11
endif

BT_LDFLAGS =
BT_LIBS    = -lz -lm -lbz2 -llzma -lpthread

prefix ?= /usr/local

SUBDIRS = $(SRC_DIR)/annotateBed \
		  $(SRC_DIR)/bamToBed \
		  $(SRC_DIR)/bamToFastq \
		  $(SRC_DIR)/bedToBam \
		  $(SRC_DIR)/bedpeToBam \
		  $(SRC_DIR)/bedToIgv \
		  $(SRC_DIR)/bed12ToBed6 \
		  $(SRC_DIR)/closestFile \
		  $(SRC_DIR)/clusterBed \
		  $(SRC_DIR)/complementFile \
		  $(SRC_DIR)/coverageFile \
		  $(SRC_DIR)/expand \
		  $(SRC_DIR)/fastaFromBed \
		  $(SRC_DIR)/flankBed \
		  $(SRC_DIR)/genomeCoverageBed \
		  $(SRC_DIR)/getOverlap \
		  $(SRC_DIR)/groupBy \
		  $(SRC_DIR)/intersectFile \
		  $(SRC_DIR)/fisher \
		  $(SRC_DIR)/jaccard \
		  $(SRC_DIR)/linksBed \
		  $(SRC_DIR)/maskFastaFromBed \
		  $(SRC_DIR)/mapFile \
		  $(SRC_DIR)/mergeFile \
		  $(SRC_DIR)/multiBamCov \
		  $(SRC_DIR)/multiIntersectBed \
		  $(SRC_DIR)/nucBed \
		  $(SRC_DIR)/pairToBed \
		  $(SRC_DIR)/pairToPair \
		  $(SRC_DIR)/randomBed \
		  $(SRC_DIR)/regressTest \
		  $(SRC_DIR)/reldist \
		  $(SRC_DIR)/sampleFile \
		  $(SRC_DIR)/shiftBed \
		  $(SRC_DIR)/shuffleBed \
		  $(SRC_DIR)/slopBed \
		  $(SRC_DIR)/sortBed \
		  $(SRC_DIR)/spacingFile \
		  $(SRC_DIR)/split \
		  $(SRC_DIR)/subtractFile \
		  $(SRC_DIR)/summaryFile \
		  $(SRC_DIR)/tagBam \
		  $(SRC_DIR)/unionBedGraphs \
		  $(SRC_DIR)/windowBed \
		  $(SRC_DIR)/windowMaker

UTIL_SUBDIRS =	$(SRC_DIR)/utils/FileRecordTools \
				$(SRC_DIR)/utils/FileRecordTools/FileReaders \
				$(SRC_DIR)/utils/FileRecordTools/Records \
				$(SRC_DIR)/utils/bedFile \
				$(SRC_DIR)/utils/BinTree \
				$(SRC_DIR)/utils/version \
				$(SRC_DIR)/utils/bedGraphFile \
				$(SRC_DIR)/utils/chromsweep \
				$(SRC_DIR)/utils/Contexts \
				$(SRC_DIR)/utils/general \
				$(SRC_DIR)/utils/gzstream \
				$(SRC_DIR)/utils/fileType \
				$(SRC_DIR)/utils/bedFilePE \
				$(SRC_DIR)/utils/KeyListOps \
				$(SRC_DIR)/utils/NewChromsweep \
				$(SRC_DIR)/utils/sequenceUtilities \
				$(SRC_DIR)/utils/tabFile \
				$(SRC_DIR)/utils/BamTools-Ancillary \
				$(SRC_DIR)/utils/BlockedIntervals \
				$(SRC_DIR)/utils/Fasta \
				$(SRC_DIR)/utils/VectorOps \
				$(SRC_DIR)/utils/GenomeFile \
				$(SRC_DIR)/utils/RecordOutputMgr \
				$(SRC_DIR)/utils/ToolBase \
				$(SRC_DIR)/utils/driver

INCLUDES =		$(addprefix -I,$(SUBDIRS) $(UTIL_SUBDIRS)) \
				-I$(SRC_DIR)/utils/BamTools/include \
				-I$(HTSDIR) \
				-I$(SRC_DIR)/utils/lineFileUtilities \
				-I$(SRC_DIR)/utils/Point \
				-I$(SRC_DIR)/utils/stringUtilities


# Ensure that the user's $CXXFLAGS/etc are applied after bedtools's.
ALL_CXXFLAGS = $(BT_CXXFLAGS) $(CXXFLAGS)
ALL_CPPFLAGS = $(BT_CPPFLAGS) $(CPPFLAGS)
ALL_LDFLAGS  = $(BT_LDFLAGS) $(LDFLAGS)
ALL_LIBS     = $(BT_LIBS) $(LIBS)


all: print_banner $(BIN_DIR)/bedtools $(BIN_DIR)/intersectBed test/htsutil

static: print_banner $(BIN_DIR)/bedtools.static

BUILT_OBJECTS = $(OBJ_DIR)/bedtools.o
# Include all the Makefile fragments, which add to $(BUILT_OBJECTS)
include $(patsubst %,%/Makefile.frag,$(SUBDIRS) $(UTIL_SUBDIRS))

## Automatically generate C++ dependencies.
## $(DEPFLAGS) is a set of compiler flags that causes the compiler to generate
## dependencies as a byproduct (which we write to a temporary file, only moving
## it into place on successful compilations).
## We then include the dependency files into this Makefile.
## The subdirectories' Makefile fragments contain rules like the one for
## $(OBJ_DIR)/bedtools.o below, with a dependency on obj/foo.d so that if
## the dependency file is missing the target will be rebuilt.
##
DEPFLAGS = -MT $@ -MMD -MP -MF $*.Td

define CXX_COMPILE
@echo "  * compiling $<"
$(CCPREFIX) $(CC_WRAPPER) $(CXX) $(ALL_CXXFLAGS) $(ALL_CPPFLAGS) $(DEPFLAGS) -c -o $@ $<
@mv -f $*.Td $*.d
endef

$(OBJ_DIR)/%.d: ;
.PRECIOUS: $(OBJ_DIR)/%.d

-include $(patsubst %.o,%.d,$(BUILT_OBJECTS))

$(OBJ_DIR)/bedtools.o: $(SRC_DIR)/bedtools.cpp $(OBJ_DIR)/bedtools.d
	$(CXX_COMPILE)

$(OBJ_DIR)/htsutil.o: $(SRC_DIR)/htsutil.cpp $(OBJ_DIR)/htsutil.d
	$(CXX_COMPILE)

# HTSlib's htslib.mk provides rules to rebuild $(HTSDIR)/libhts.a.
HTSDIR = src/utils/htslib
include $(HTSDIR)/htslib.mk

# This order-only prerequisite ensures OBJ_DIR exists before building any .o file
# but ignores the directory's timestamp, which changes every time a .o file is written.
$(BUILT_OBJECTS): | $(OBJ_DIR)

$(BIN_DIR)/bedtools: autoversion $(BUILT_OBJECTS) $(HTSDIR)/libhts.a | $(BIN_DIR)
	@echo "- Building main bedtools binary."
	$(CCPREFIX) $(CC_WRAPPER) $(CXX) $(ALL_LDFLAGS) -o $(BIN_DIR)/bedtools $(BUILT_OBJECTS) $(HTSDIR)/libhts.a $(ALL_LIBS)
	@echo "done."

$(BIN_DIR)/bedtools.static: autoversion $(BUILT_OBJECTS) $(HTSDIR)/libhts.a | $(BIN_DIR)
	@echo "- Building main bedtools binary."
	$(CCPREFIX) $(CC_WRAPPER) $(CXX) -static $(ALL_LDFLAGS) -o $(BIN_DIR)/bedtools.static $(BUILT_OBJECTS) $(HTSDIR)/libhts.a $(ALL_LIBS)
	@echo "done."

test/htsutil: $(OBJ_DIR)/htsutil.o $(HTSDIR)/libhts.a
	$(CCPREFIX) $(CC_WRAPPER) $(CXX) $(ALL_LDFLAGS) -o test/htsutil $(OBJ_DIR)/htsutil.o $(HTSDIR)/libhts.a $(ALL_LIBS)

$(BIN_DIR)/intersectBed: | $(BIN_DIR)
	@echo "- Creating executables for old CLI."
	@python scripts/makeBashScripts.py
	@chmod +x bin/*
	@echo "done."


.PHONY: all

install: all
	mkdir -p $(DESTDIR)$(prefix)/bin
	for file in bin/* ; do \
		cp -f $$file $(DESTDIR)$(prefix)/bin; \
	done

print_banner:
	@echo "Building BEDTools:"
	@echo "========================================================="
	@echo "CXXFLAGS is [$(ALL_CXXFLAGS)]"
.PHONY: print_banner

# make the "obj/" and "bin/" directories, if they don't exist
$(OBJ_DIR) $(BIN_DIR):
	@mkdir -p $@


# Usually HTSlib's configure script has not been used (detected via config.mk
# not existing), so clean should also remove the generated config.h.
clean:
	@echo " * Cleaning up."
	@rm -f $(VERSION_FILE) $(OBJ_DIR)/* $(BIN_DIR)/* test/htsutil
	@cd src/utils/htslib && make clean > /dev/null
	@test -e src/utils/htslib/config.mk || rm -f src/utils/htslib/config.h
.PHONY: clean

test: all
	@cd test; bash test.sh

.PHONY: test


## For BEDTools developers (not users):
## When you want to release (and tag) a new version, run:
##   $ make setversion VERSION=v2.17.2
## This will:
##   1. Update the "/src/utils/version/version_release.txt" file
##   2. Commit the file
##   3. Git-Tag the commit with the latest version
##
.PHONY: setversion
setversion:
    ifeq "$(VERSION)" ""
		$(error please set VERSION variable to the new version (e.g "make setversion VERSION=v2.17.2"))
    endif
		@echo "# This file was auto-generated by running \"make setversion VERSION=$(VERSION)\"" > "$(RELEASED_VERSION_FILE)"
		@echo "# on $$(date) ." >> "$(RELEASED_VERSION_FILE)"
		@echo "# Please do not edit or commit this file manually." >> "$(RELEASED_VERSION_FILE)"
		@echo "#" >> "$(RELEASED_VERSION_FILE)"
		@echo "$(VERSION)" >> $(RELEASED_VERSION_FILE)
		@git add $(RELEASED_VERSION_FILE)
		@git commit -q -m "Setting Release-Version $(VERSION)"
		@git tag "$(VERSION)"
		@echo "Version updated to $(VERSION)."
		@echo ""
		@echo "Don't forget to push the commits AND the tags:"
		@echo "  git push --all --tags"
		@echo ""


## Automatic version detection
##
## What's going on here?
## 1. If there's a ".git" repository - use the version from the repository.
##    ignore any released-version file. git repository is authorative.
##
## 2, If there's no ".git" repository,
##    get the "released" version number from the release-version file.
##
##    2.1. If the current directory looks like "arq5x-bedtools-XXXXXXX",
##         assume "-XXXXXX" is the last revision number (and the user
##         probably downloaded the ZIP from github).
##         Append the revision number to the released version string.
##
## 3. Compare the detected version (from steps 1,2) to the current string
##    in ./src/utils/version/version_git.h .
##    If they differ, update the header file - will cause a recompilation
##    of version.o .
##
.PHONY: autoversion
autoversion:
	@( \
	if [ -d ".git" ] && which git > /dev/null ; then \
		DETECTED_VERSION=$$(git describe --always --tags --dirty) ; \
	else \
		DETECTED_VERSION=$$(grep -v "^#" "$(RELEASED_VERSION_FILE)") ; \
		if basename $$(pwd) | grep -q "^[[:alnum:]]*-bedtools-[[:alnum:]]*$$" ; then \
			DETECTED_VERSION=$${DETECTED_VERSION}-zip-$$(basename "$$(pwd)" | sed 's/^[[:alnum:]]*-bedtools-//') ; \
		fi ; \
	fi ; \
	\
	CURRENT_VERSION="" ; \
	[ -e "$(VERSION_FILE)" ] && CURRENT_VERSION=$$(grep "define VERSION_GIT " "$(VERSION_FILE)" | cut -f3 -d" " | sed 's/"//g') ; \
	\
	echo "DETECTED_VERSION = $$DETECTED_VERSION" ; \
	echo "CURRENT_VERSION  = $$CURRENT_VERSION" ; \
	if [ "$${DETECTED_VERSION}" != "$${CURRENT_VERSION}" ] ; then \
		echo "Updating version file." ; \
		echo "#ifndef VERSION_GIT_H" > $(VERSION_FILE) ; \
		echo "#define VERSION_GIT_H" >> $(VERSION_FILE) ; \
		echo "#define VERSION_GIT \"$${DETECTED_VERSION}\"" >> $(VERSION_FILE) ; \
		echo "#endif /* VERSION_GIT_H */" >> $(VERSION_FILE) ; \
	fi )

=== tutorial/Makefile ===
all:
	pandoc --toc --css bootstrap.css --template template.html -s -S bedtools.md -o bedtools.html
	pandoc --css bootstrap.css --template template.class.html -s -S answers.md -o answers.html

=== src/nekSandbox1/Makefile ===
UTILITIES_DIR = ../utils/
OBJ_DIR = ../../obj/
BIN_DIR = ../../bin/

# -------------------
# define our includes
# -------------------
INCLUDES = -I$(UTILITIES_DIR)/Contexts/ \
			-I$(UTILITIES_DIR)/fileType/ \
			-I$(UTILITIES_DIR)/FileRecordTools/ \
		   -I$(UTILITIES_DIR)/FileRecordTools/FileReaders \
           -I$(UTILITIES_DIR)/FileRecordTools/Records \
 			-I$(UTILITIES_DIR)/KeyListOps/ \
           -I$(UTILITIES_DIR)/general \
           -I$(UTILITIES_DIR)/NewChromsweep \
           -I$(UTILITIES_DIR)/GenomeFile/ \
           -I$(UTILITIES_DIR)/BamTools/include \
           -I$(UTILITIES_DIR)/BamTools/src/ \
           -I$(UTILITIES_DIR)/version/
           
           


# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= nekSandboxMain.cpp 
OBJECTS= nekSandboxMain.o
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))
PROGRAM= nekSandbox1

all: $(BUILT_OBJECTS)

.PHONY: all

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	$(CCPREFIX) $(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
	
clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/nekSandboxMain.o

.PHONY: clean

=== src/utils/htslib/Makefile ===
# Makefile for htslib, a C library for high-throughput sequencing data formats.
#
#    Copyright (C) 2013-2017 Genome Research Ltd.
#
#    Author: John Marshall <jm18@sanger.ac.uk>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CC     = gcc
AR     = ar
RANLIB = ranlib

# Default libraries to link if configure is not used
htslib_default_libs = -lz -lm -lbz2 -llzma

CPPFLAGS =
# TODO: probably update cram code to make it compile cleanly with -Wc++-compat
# For testing strict C99 support add -std=c99 -D_XOPEN_SOURCE=600
#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=600 -D__FUNCTION__=__func__
CFLAGS   = -g -Wall -O2
EXTRA_CFLAGS_PIC = -fpic
LDFLAGS  =
LIBS     = $(htslib_default_libs)

prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
includedir  = $(prefix)/include
libdir      = $(exec_prefix)/lib
libexecdir  = $(exec_prefix)/libexec
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
man5dir     = $(mandir)/man5
pkgconfigdir= $(libdir)/pkgconfig

MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(MKDIR_P) -m 755
INSTALL_LIB     = $(INSTALL_DATA)
INSTALL_MAN     = $(INSTALL_DATA)
INSTALL_PROGRAM = $(INSTALL)

# Set by config.mk if plugins are enabled
plugindir =

BUILT_PROGRAMS = \
	bgzip \
	htsfile \
	tabix

BUILT_TEST_PROGRAMS = 

BUILT_THRASH_PROGRAMS =

all: lib-static lib-shared $(BUILT_PROGRAMS) plugins 

HTSPREFIX =
include htslib_vars.mk

# If not using GNU make, you need to copy the version number from version.sh
# into here.
PACKAGE_VERSION := $(shell ./version.sh)
LIBHTS_SOVERSION = 2

# $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
# even if this is a dirty or untagged Git working tree.
NUMERIC_VERSION := $(shell ./version.sh numeric)

# Force version.h to be remade if $(PACKAGE_VERSION) has changed.
version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))

version.h:
	echo '#define HTS_VERSION "$(PACKAGE_VERSION)"' > $@

print-version:
	@echo $(PACKAGE_VERSION)

show-version:
	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)
	@echo NUMERIC_VERSION = $(NUMERIC_VERSION)

.SUFFIXES: .bundle .c .cygdll .dll .o .pico .so

.c.o:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) -c -o $@ $<

.c.pico:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<


LIBHTS_OBJS = \
	kfunc.o \
	knetfile.o \
	kstring.o \
	bcf_sr_sort.o \
	bgzf.o \
	errmod.o \
	faidx.o \
	hfile.o \
	hfile_net.o \
	hts.o \
	hts_os.o\
	md5.o \
	multipart.o \
	probaln.o \
	realn.o \
	regidx.o \
	sam.o \
	synced_bcf_reader.o \
	vcf_sweep.o \
	tbx.o \
	textutils.o \
	thread_pool.o \
	vcf.o \
	vcfutils.o \
	cram/cram_codecs.o \
	cram/cram_decode.o \
	cram/cram_encode.o \
	cram/cram_external.o \
	cram/cram_index.o \
	cram/cram_io.o \
	cram/cram_samtools.o \
	cram/cram_stats.o \
	cram/files.o \
	cram/mFILE.o \
	cram/open_trace_file.o \
	cram/pooled_alloc.o \
	cram/rANS_static.o \
	cram/sam_header.o \
	cram/string_alloc.o

PLUGIN_EXT  =
PLUGIN_OBJS =

cram_h = cram/cram.h $(cram_samtools_h) $(cram_sam_header_h) $(cram_structs_h) $(cram_io_h) cram/cram_encode.h cram/cram_decode.h cram/cram_stats.h cram/cram_codecs.h cram/cram_index.h $(htslib_cram_h)
cram_io_h = cram/cram_io.h $(cram_misc_h)
cram_misc_h = cram/misc.h $(cram_os_h)
cram_os_h = cram/os.h $(htslib_hts_endian_h)
cram_sam_header_h = cram/sam_header.h cram/string_alloc.h cram/pooled_alloc.h $(htslib_khash_h) $(htslib_kstring_h)
cram_samtools_h = cram/cram_samtools.h $(htslib_sam_h) $(cram_sam_header_h)
cram_structs_h = cram/cram_structs.h $(htslib_thread_pool_h) cram/string_alloc.h cram/mFILE.h $(htslib_khash_h)
cram_open_trace_file_h = cram/open_trace_file.h cram/mFILE.h
bcf_sr_sort_h = bcf_sr_sort.h $(htslib_synced_bcf_reader_h) $(htslib_kbitset_h)
hfile_internal_h = hfile_internal.h $(htslib_hfile_h) $(textutils_internal_h)
hts_internal_h = hts_internal.h $(htslib_hts_h) $(textutils_internal_h)
textutils_internal_h = textutils_internal.h $(htslib_kstring_h)
thread_pool_internal_h = thread_pool_internal.h $(htslib_thread_pool_h)


# To be effective, config.mk needs to appear after most Makefile variables are
# set but before most rules appear, so that it can both use previously-set
# variables in its own rules' prerequisites and also update variables for use
# in later rules' prerequisites.

# If your make doesn't accept -include, change this to 'include' if you are
# using the configure script or just comment the line out if you are not.
-include config.mk

# Usually config.h is generated by running configure or config.status,
# but if those aren't used create a default config.h here.
config.h:
	echo '/* Default config.h generated by Makefile */' > $@
	echo '#define HAVE_LIBBZ2 1' >> $@
	echo '#define HAVE_LIBLZMA 1' >> $@
	echo '#ifndef __APPLE__' >> $@
	echo '#define HAVE_LZMA_H 1' >> $@
	echo '#endif' >> $@
	echo '#define HAVE_FSEEKO 1' >> $@
	echo '#define HAVE_DRAND48 1' >> $@

# And similarly for htslib.pc.tmp ("pkg-config template").  No dependency
# on htslib.pc.in listed, as if that file is newer the usual way to regenerate
# this target is via configure or config.status rather than this rule.
htslib.pc.tmp:
	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' htslib.pc.in > $@

# Create a makefile fragment listing the libraries and LDFLAGS needed for
# static linking.  This can be included by projects that want to build
# and link against the htslib source tree instead of an installed library.
htslib_static.mk: htslib.pc.tmp
	sed -n '/^static_libs=/s/[^=]*=/HTSLIB_static_LIBS = /p;/^static_ldflags=/s/[^=]*=/HTSLIB_static_LDFLAGS = /p' $< > $@


lib-static: libhts.a

# $(shell), :=, and ifeq/.../endif are GNU Make-specific.  If you don't have
# GNU Make, comment out the parts of these conditionals that don't apply.
ifneq "$(origin PLATFORM)" "file"
PLATFORM := $(shell uname -s)
endif
ifeq "$(PLATFORM)" "Darwin"
SHLIB_FLAVOUR = dylib
lib-shared: libhts.dylib
else ifeq "$(findstring CYGWIN,$(PLATFORM))" "CYGWIN"
SHLIB_FLAVOUR = cygdll
lib-shared: cyghts-$(LIBHTS_SOVERSION).dll
else ifeq "$(findstring MSYS,$(PLATFORM))" "MSYS"
SHLIB_FLAVOUR = dll
lib-shared: hts-$(LIBHTS_SOVERSION).dll
else
SHLIB_FLAVOUR = so
lib-shared: libhts.so
endif

BUILT_PLUGINS = $(PLUGIN_OBJS:.o=$(PLUGIN_EXT))

plugins: $(BUILT_PLUGINS)


libhts.a: $(LIBHTS_OBJS)
	@-rm -f $@
	$(AR) -rc $@ $(LIBHTS_OBJS)
	-$(RANLIB) $@

print-config:
	@echo LDFLAGS = $(LDFLAGS)
	@echo LIBHTS_OBJS = $(LIBHTS_OBJS)
	@echo LIBS = $(LIBS)
	@echo PLATFORM = $(PLATFORM)

# The target here is libhts.so, as that is the built file that other rules
# depend upon and that is used when -lhts appears in other program's recipes.
# As a byproduct invisible to make, libhts.so.NN is also created, as it is the
# file used at runtime (when $LD_LIBRARY_PATH includes the build directory).

libhts.so: $(LIBHTS_OBJS:.o=.pico)
	$(CC) -shared -Wl,-soname,libhts.so.$(LIBHTS_SOVERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS:.o=.pico) $(LIBS) -lpthread
	ln -sf $@ libhts.so.$(LIBHTS_SOVERSION)

# Similarly this also creates libhts.NN.dylib as a byproduct, so that programs
# when run can find this uninstalled shared library (when $DYLD_LIBRARY_PATH
# includes this project's build directory).

libhts.dylib: $(LIBHTS_OBJS)
	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(NUMERIC_VERSION) -compatibility_version $(LIBHTS_SOVERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
	ln -sf $@ libhts.$(LIBHTS_SOVERSION).dylib

cyghts-$(LIBHTS_SOVERSION).dll: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=libhts.dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread

hts-$(LIBHTS_SOVERSION).dll: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=hts.dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread


.pico.so:
	$(CC) -shared -Wl,-E $(LDFLAGS) -o $@ $< $(LIBS) -lpthread

.o.bundle:
	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< $(LIBS)

.o.cygdll:
	$(CC) -shared $(LDFLAGS) -o $@ $< libhts.dll.a $(LIBS)

.o.dll:
	$(CC) -shared $(LDFLAGS) -o $@ $< hts.dll.a $(LIBS)


bgzf.o bgzf.pico: bgzf.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(htslib_hfile_h) $(htslib_thread_pool_h) $(htslib_hts_endian_h) cram/pooled_alloc.h $(htslib_khash_h)
errmod.o errmod.pico: errmod.c config.h $(htslib_hts_h) $(htslib_ksort_h) $(htslib_hts_os_h)
kstring.o kstring.pico: kstring.c config.h $(htslib_kstring_h)
knetfile.o knetfile.pico: knetfile.c config.h $(htslib_hts_log_h) $(htslib_knetfile_h)
hfile.o hfile.pico: hfile.c config.h $(htslib_hfile_h) $(hfile_internal_h) $(hts_internal_h) $(htslib_khash_h)
hfile_gcs.o hfile_gcs.pico: hfile_gcs.c config.h $(htslib_hts_h) $(htslib_kstring_h) $(hfile_internal_h)
hfile_libcurl.o hfile_libcurl.pico: hfile_libcurl.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
hfile_net.o hfile_net.pico: hfile_net.c config.h $(hfile_internal_h) $(htslib_knetfile_h)
hfile_s3.o hfile_s3.pico: hfile_s3.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h)
hts.o hts.pico: hts.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(cram_h) $(htslib_hfile_h) $(htslib_hts_endian_h) version.h $(hts_internal_h) $(hfile_internal_h) $(htslib_hts_os_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_ksort_h)
hts_os.o hts_os.pico: hts_os.c config.h os/rand.c
vcf.o vcf.pico: vcf.c config.h $(htslib_vcf_h) $(htslib_bgzf_h) $(htslib_tbx_h) $(htslib_hfile_h) $(hts_internal_h) $(htslib_khash_str2int_h) $(htslib_kstring_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_hts_endian_h)
sam.o sam.pico: sam.c config.h $(htslib_sam_h) $(htslib_bgzf_h) $(cram_h) $(hts_internal_h) $(htslib_hfile_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_kstring_h) $(htslib_hts_endian_h)
tbx.o tbx.pico: tbx.c config.h $(htslib_tbx_h) $(htslib_bgzf_h) $(htslib_hts_endian_h) $(hts_internal_h) $(htslib_khash_h)
faidx.o faidx.pico: faidx.c config.h $(htslib_bgzf_h) $(htslib_faidx_h) $(htslib_hfile_h) $(htslib_khash_h) $(htslib_kstring_h) $(hts_internal_h)
bcf_sr_sort.o bcf_sr_sort.pico: bcf_sr_sort.c config.h $(bcf_sr_sort_h) $(htslib_khash_str2int_h)
synced_bcf_reader.o synced_bcf_reader.pico: synced_bcf_reader.c config.h $(htslib_synced_bcf_reader_h) $(htslib_kseq_h) $(htslib_khash_str2int_h) $(htslib_bgzf_h) $(htslib_thread_pool_h) $(bcf_sr_sort_h)
vcf_sweep.o vcf_sweep.pico: vcf_sweep.c config.h $(htslib_vcf_sweep_h) $(htslib_bgzf_h)
vcfutils.o vcfutils.pico: vcfutils.c config.h $(htslib_vcfutils_h) $(htslib_kbitset_h)
kfunc.o kfunc.pico: kfunc.c config.h $(htslib_kfunc_h)
regidx.o regidx.pico: regidx.c config.h $(htslib_hts_h) $(htslib_kstring_h) $(htslib_kseq_h) $(htslib_khash_str2int_h) $(htslib_regidx_h) $(hts_internal_h)

=== debian/changelog ===
bedtools (2.30.0+dfsg-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * New upstream version 2.30.0+dfsg.
  * Refresh 2to3.patch and hardening patch.
  * Remove test related patches, 32-bit-fixes.patch and spelling patch;
    applied upstream.
  * Do not include htsutil as a side test program in bedtools anymore;
    the test tool is inlined as subcommand to reduce memory footprint.

  [ John Marshall ]
  * Add htsutil patch to implement the bedtools htsutil subcommand.

  [ Étienne Mollier ]
  * d/rules: set $htsutil to use the bedtools htsutil subcommand.
  * d/t/run-unit-test: use the bedtools htsutil subcommand.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 27 Jan 2021 17:26:26 +0100

bedtools (2.29.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Repair broken link in run-unit-test script; fixes autopkgtest regression.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 17 Jan 2021 12:11:39 +0100

bedtools (2.29.2+dfsg-5) unstable; urgency=medium

  * Delete standard debian/gbp.conf
  * Revert deletion of test binary htsutil since it is needed to replace
    samtools that's not working any more for this purpose
  * Move htsutil tool to bedtools package
    Closes: #978679

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 13:01:58 +0100

bedtools (2.29.2+dfsg-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Remove the need for samtools via patch from upstream.
  * Include patch from Bernhard Übelacker to fix 32-bit builds. TODO: the
    autopkgtests do not yet pass on i386 (and likely neither on other 32-bit
    archs).
    Closes: #955403
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Andreas Tille ]
  * Fix permissions of .sam files
  * Delete test binary to make sure it will not be installed
  * DEP3
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Dec 2020 19:03:35 +0100

=== debian/control ===
Source: bedtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3,
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/bedtools
Vcs-Git: https://salsa.debian.org/med-team/bedtools.git
Homepage: https://github.com/arq5x/bedtools2
Rules-Requires-Root: no

Package: bedtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: filo
Provides: filo
Replaces: filo
Description: suite of utilities for comparing genomic features
 The BEDTools utilities allow one to address common genomics tasks such as
 finding feature overlaps and computing coverage. The utilities are largely
 based on four widely-used file formats: BED, GFF/GTF, VCF, and SAM/BAM. Using
 BEDTools, one can develop sophisticated pipelines that answer complicated
 research questions by streaming several BEDTools together.
 .
 The groupBy utility is distributed in the filo package.

Package: bedtools-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: bedtools
Description: test data for the bedtools package
 Test data for the BEDTools suite of utilities for comparing genomic features.
 It is distributed in a separate package because it is large and
 architecture-independent.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
  export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1

override_dh_auto_install:
	dh_auto_install -- VERBOSE=1

# File no longer exists
#override_dh_installchangelogs:
#	dh_installchangelogs RELEASE_HISTORY

override_dh_install:
	dh_install
	# make sure all *.sh files are featuring a '#!/bin/bash' as first line
	# since there are at least two files (test/intersect/{new_test-intersect.sh,performanceTest.sh}
	# requiring bash this is taken for all scripts instead of checking first via /bin/sh -n
	for sh in `find $(CURDIR)/debian -name "*.sh"` ; do \
	    if ! head -n1 $${sh} | grep -q '^#! */bin/[ba]*sh' ; then \
	        sed -i '1 i #!/bin/bash' $${sh} ; \
	    fi ; \
	done

override_dh_install-indep:
	# Somehow the test dir is differently named than the script has it
	# Since I fail to see how this test dir was to the script at all I
	# simply change the script afterwards
	sed -i 's/^cd groupby;/cd groupBy;/' debian/$(DEB_SOURCE)-test/usr/share/$(DEB_SOURCE)/test/test.sh

override_dh_fixperms-arch:
	dh_fixperms
	chmod -x $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/bedtools/genomes/*.genome
	find $(CURDIR)/debian -name "*.bed" -executable -exec chmod -x \{\} \;
	find $(CURDIR)/debian -name "*.sam" -executable -exec chmod -x \{\} \;
	find $(CURDIR)/debian -name "*.sh"  -not -executable -exec chmod +x \{\} \;

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386 armel armhf mipsel))
	mv test/shuffle debian/
endif
	htsutil="../../bin/bedtools htsutil" \
	dh_auto_test
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386 armel armhf mipsel))
	mv debian/shuffle test/
endif
endif

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/arq5x/bedtools2/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## bedtools 2.31.0+dfsg

=== debian/changelog ===
bedtools (2.31.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * remove_barski_binding_site.png.patch: unfuzz.
  * 2to3.patch: refresh.
  * 2to3.patch: declare forwarding not-needed.
    Upstream looks to assume compatibility with both python and python3.
  * 2to3.patch: remove further occurrences of python.
    There are some tests and some documentation referring to the
    unversioned python, which in Debian is by default python2.
  * hardening patch: unfuzz.
  * htsutil patch: unfuzz.
  * gcc-13.patch: add; fix ftbfs with gcc-13.
    Thanks to David Seifert (Closes: #1037588)
  * d/control: bedtools-test depend on python3.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Jun 2023 22:57:16 +0200

bedtools (2.30.0+dfsg-3) unstable; urgency=medium

  * Do not use ulimit in test
    Closes: #1034349
  * Override false positive (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Apr 2023 14:12:15 +0200

bedtools (2.30.0+dfsg-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - indent, added ref to guix

  [ Étienne Mollier ]
  * d/control: add myself to uploaders
  * d/watch: fix broken link to github

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:54:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bedtools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +10,7 @@
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bedtools
 Vcs-Git: https://salsa.debian.org/med-team/bedtools.git
 Homepage: https://github.com/arq5x/bedtools2
@@ -34,7 +35,7 @@
 Package: bedtools-test
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, python3
 Suggests: bedtools
 Description: test data for the bedtools package
  Test data for the BEDTools suite of utilities for comparing genomic features.

## bedtools 2.31.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,8 @@
 SRC_DIR	= src
 
 CXX     = g++
+
+PYTHON ?= $(shell python --version >/dev/null 2>&1 && echo "python" || echo python3)
 
 ifeq ($(DEBUG),1)
 BT_CPPFLAGS = -DDEBUG -D_DEBUG -D_FILE_OFFSET_BITS=64 -DWITH_HTS_CB_API $(INCLUDES)
@@ -113,7 +115,8 @@
 				$(SRC_DIR)/utils/GenomeFile \
 				$(SRC_DIR)/utils/RecordOutputMgr \
 				$(SRC_DIR)/utils/ToolBase \
-				$(SRC_DIR)/utils/driver
+				$(SRC_DIR)/utils/driver \
+				$(SRC_DIR)/utils/BamTools
 
 INCLUDES =		$(addprefix -I,$(SUBDIRS) $(UTIL_SUBDIRS)) \
 				-I$(SRC_DIR)/utils/BamTools/include \
@@ -189,7 +192,7 @@
 
 $(BIN_DIR)/intersectBed: | $(BIN_DIR)
 	@echo "- Creating executables for old CLI."
-	@python scripts/makeBashScripts.py
+	@$(PYTHON) scripts/makeBashScripts.py
 	@chmod +x bin/*
 	@echo "done."

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/track.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/track.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/track"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/track"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
bedtools (2.31.1+dfsg-2) unstable; urgency=medium

  * d/clean: new: remove test/getfasta/t.fa.gz.gzi. (Closes: #1043957)

 -- Étienne Mollier <emollier@debian.org>  Mon, 04 Dec 2023 20:13:11 +0100

bedtools (2.31.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.31.1+dfsg
  * gcc-13.patch: remove: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Nov 2023 12:10:46 +0100

bedtools (2.31.0+dfsg-2) unstable; urgency=medium

  * gcc-13.patch: fixed upstream by different change.
    The Applied-Upstream field is set accordingly to point to PR 1067.
  * d/rules: use sse for floating point calculations.
    This fixes bedtools "intersect" test failures during build time.
    This change is brought for consistency with htslib's own settings.
    While this is an architecture baseline violation, the alternative
    is no htslib support at all for the i386 distribution, since it
    fails its own test suite with anything else than sse for floating
    point calculations. (Closes: #1055414)
  * d/control: depend on python3:any per M-A hint.

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Nov 2023 16:34:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               python3,
+               python3:any,
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include /usr/share/dpkg/default.mk
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
-  export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
+  export DEB_CXXFLAGS_MAINT_APPEND=-msse -mfpmath=sse
 endif
 
 %:

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
	https://github.com/arq5x/bedtools2/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
